Bug 1016585 - before installing any service './rhqctl status' is shows nothing
Summary: before installing any service './rhqctl status' is shows nothing
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Installer
Version: JON 3.2
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ER03
: JON 3.3.0
Assignee: Stefan Negrea
QA Contact: Filip Brychta
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-10-08 11:23 UTC by Jeeva Kandasamy
Modified: 2014-12-11 14:00 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-12-11 14:00:36 UTC


Attachments (Terms of Use)

Description Jeeva Kandasamy 2013-10-08 11:23:32 UTC
Description of problem:
before installing any service './rhqctl status' is shows nothing

[hudson@mercury bin]$ ./rhqctl status
16:34:17,860 INFO  [org.jboss.modules] JBoss Modules version 1.2.2.Final-redhat-1
[hudson@mercury bin]$


Version-Release number of selected component (if applicable):
Version: 3.2.0.ER2
Build Number: 9bf6f76:371eac0
GWT Version: 2.5.0
SmartGWT Version: 3.0

How reproducible:
100%

Steps to Reproduce:
1. extract jon-server-3.2.0.ER3.zip
2. navigate to 'jon-server-3.2.0.ER3/bin'
3. execute './rhqctl status'

Actual results:
There is no detail


Expected results:
Should show something like 'There is no service installed'

Comment 1 Jeeva Kandasamy 2013-10-08 11:57:37 UTC
Correct version info:
Version: 3.2.0.ER3
Build Number: c0742ed:cbad264
GWT Version: 2.5.0
SmartGWT Version: 3.0

Comment 2 Simeon Pinder 2013-11-08 14:41:36 UTC
Moving to unspecified target milestone as only JON 3.2.0 'blockers'(https://url.corp.redhat.com/bz-jon32-blockers-list-notmodified-nodocs) will make it into subsequent builds after ER5.

Comment 5 Stefan Negrea 2014-09-02 21:54:08 UTC
release/jon3.3.x branch commit:

commit 1c8dad9ee5e3d902fe0b69b91b24c2e1f7dc0c6e
Author: Stefan Negrea <snegrea@redhat.com>
Date:   Tue Sep 2 16:29:11 2014 -0500

    [BZ 1016585] Print warning message when status is requested but no services installed. This situation by itself s
    (cherry picked from commit 7b0c6f1d5853592a23075cc0fdf5563cb47818b2)
    
    Signed-off-by: John Mazzitelli <mazz@redhat.com>

Comment 6 Stefan Negrea 2014-09-02 21:55:56 UTC
A warning message is now printed when status is requested but no services installed. This situation by itself does not change the exit status of the command but the user should be warned.

The warning message: "No services installed. Please install the server, agent, or storage node and then re-run the command."

Comment 7 Simeon Pinder 2014-09-17 02:49:41 UTC
Moving to ON_QA as available for test with the following brew build:
https://brewweb.devel.redhat.com//buildinfo?buildID=385149

Comment 8 Filip Brychta 2014-09-18 10:25:15 UTC
[hudson@fbr-jon33 bin]$ ./rhqctl status
06:24:17,453 INFO  [org.jboss.modules] JBoss Modules version 1.3.3.Final-redhat-1
06:24:17,637 WARN  [org.rhq.server.control.command.Status] No services installed. Please install the server, agent, or storage node and then re-run the command.

Verified on
Version :	
3.3.0.ER03
Build Number :	
4aefe39:44e33a4


Note You need to log in before you can comment on or make changes to this bug.